--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "_parent_:"
    body: parent class which will receive mapped messages
  type: :NOTE
- !ruby/struct:SM::Flow::P 
  body: Create a new MessageMapper with parent class <em>parent</em>. This class will receive messages from the mapper via the handle() method.
full_name: Irc::Bot::MessageMapper::new
is_singleton: true
name: new
params: (parent)
visibility: public
